/*
 * Créé le 19 juil. 07
 *
 * Pour changer le modèle de ce fichier généré, allez à :
 * Fenêtre&gt;Préférences&gt;Java&gt;Génération de code&gt;Code et commentaires
 */
package fr.gouv.finances.cp.xemelios.controls;

import java.io.IOException;

import fr.gouv.finances.cp.utils.Pair;
import fr.gouv.finances.cp.utils.xml.marshal.XmlOutputter;

public class RapportWriter {
	
	private XmlOutputter rapport;
			
	public RapportWriter(XmlOutputter rapportxml){
		rapport = rapportxml;
		startRapport();
	}
	
	private void startRapport(){
		rapport.startTag("ano:DocumentRapport");
		rapport.addAttribute("xmlns:ano",Anomalie.ANOMALY_NS_URI);
		rapport.addAttribute("xmlns:n",Anomalie.ANOMALY_NS_URI);
	}
	
	public void endRapport() throws IOException{
		rapport.endTag("ano:DocumentRapport");
	}
	
	public void writeElement(String name,Pair... attrs){
		rapport.startTag("ano:"+name);
		if(attrs.length != 0){
			for(Pair p:attrs){
				rapport.addAttribute("ano:"+p.key,p.libelle);	
			}				
		}
		rapport.endTag("ano:"+name);
	}
	
	public void writeData(String data){
		rapport.addCharacterData(data);
	}
	
	public void openElement(String name,Pair... attrs){
		rapport.startTag("ano:"+name);
		if(attrs.length != 0){
			for(Pair p:attrs){
				rapport.addAttribute(p.libelle,p.key);	
			}				
		}
	}
	
	public void openElement(String name){
		rapport.startTag("ano:"+name);
	}
	
	public void closeElement(String name){
		rapport.endTag("ano:"+name);
	}
}
